## EmpathyTpContactFactory EmpathyTpContactFactory |

## Synopsis

                        EmpathyTpContactFactory;
    EmpathyTpContactFactory* empathy_tp_contact_factory_new (McAccount *account);
    EmpathyContact*     empathy_tp_contact_factory_get_user (EmpathyTpContactFactory *tp_factory);
    EmpathyContact*     empathy_tp_contact_factory_get_from_id
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             const gchar *id);
    EmpathyContact*     empathy_tp_contact_factory_get_from_handle
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             guint handle);
    GList*              empathy_tp_contact_factory_get_from_handles
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             const GArray *handles);
    void                empathy_tp_contact_factory_set_alias
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             EmpathyContact *contact,
                                                             const gchar *alias);
    void                empathy_tp_contact_factory_set_avatar
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             const gchar *data,
                                                             gsize size,
                                                             const gchar *mime_type);
    gboolean            empathy_tp_contact_factory_is_ready (EmpathyTpContactFactory *tp_factory);

## Object Hierarchy

      GObject
       +----EmpathyTpContactFactory

## Properties

      "account"                  McAccount*            : Read / Write / Construct Only
      "ready"                    gboolean              : Read

## Description

## Details

### EmpathyTpContactFactory

    typedef struct _EmpathyTpContactFactory EmpathyTpContactFactory;

### empathy_tp_contact_factory_new ()

    EmpathyTpContactFactory* empathy_tp_contact_factory_new (McAccount *account);

`account` : |
Returns : |

### empathy_tp_contact_factory_get_user ()

    EmpathyContact*     empathy_tp_contact_factory_get_user (EmpathyTpContactFactory *tp_factory);

`tp_factory` : |
Returns : |

### empathy_tp_contact_factory_get_from_id ()

    EmpathyContact*     empathy_tp_contact_factory_get_from_id
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             const gchar *id);

`tp_factory` : |
`id` : |
Returns : |

### empathy_tp_contact_factory_get_from_handle ()

    EmpathyContact*     empathy_tp_contact_factory_get_from_handle
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             guint handle);

`tp_factory` : |
`handle` : |
Returns : |

### empathy_tp_contact_factory_get_from_handles ()

    GList*              empathy_tp_contact_factory_get_from_handles
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             const GArray *handles);

`tp_factory` : |
`handles` : |
Returns : |

### empathy_tp_contact_factory_set_alias ()

    void                empathy_tp_contact_factory_set_alias
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             EmpathyContact *contact,
                                                             const gchar *alias);

`tp_factory` : |
`contact` : |
`alias` : |

### empathy_tp_contact_factory_set_avatar ()

    void                empathy_tp_contact_factory_set_avatar
                                                            (EmpathyTpContactFactory *tp_factory,
                                                             const gchar *data,
                                                             gsize size,
                                                             const gchar *mime_type);

`tp_factory` : |
`data` : |
`size` : |
`mime_type` : |

### empathy_tp_contact_factory_is_ready ()

    gboolean            empathy_tp_contact_factory_is_ready (EmpathyTpContactFactory *tp_factory);

`tp_factory` : |
Returns : |

## Property Details

### The `"account"` property

      "account"                  McAccount*            : Read / Write / Construct Only

The account associated with the factory.

### The `"ready"` property

      "ready"                    gboolean              : Read

Is the factory ready.

Default value: FALSE